"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _antd = require("antd");
var CopyText = function CopyText(props) {
  var text = props.text,
    cb = props.cb;
  var handleCopy = function handleCopy() {
    var input = document.createElement('textarea');
    input.value = text;
    document.body.appendChild(input);
    input.select();
    document.execCommand('copy');
    document.body.removeChild(input);
    if (cb) {
      cb();
      return;
    }
    _antd.Modal.success({
      title: '已复制',
      content: '文本已成功复制到剪贴板！'
    });
  };
  return /*#__PURE__*/_react.default.createElement(_antd.Button, {
    onClick: handleCopy
  }, "\u590D\u5236\u6587\u672C");
};
CopyText.propTypes = {
  text: _propTypes.default.string.isRequired,
  cb: _propTypes.default.func
};
var _default = exports.default = CopyText;